Class | Net::IMAP::BodyTypeText
In: | net/imap.rb
Parent: | Struct.new(:media_type, :subtype, :param, :content_id, :description, :encoding, :size, :lines, :md5, :disposition, :language, :extension)

Net::IMAP::BodyTypeText represents TEXT body structures of messages.

#### Fields:

lines: | Returns the size of the body in text lines.

And Net::IMAP::BodyTypeText has all fields of Net::IMAP::BodyTypeBasic.

### Methods

media_subtype multipart?

### Public Instance methods

media_subtype()

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

[Source]

    # File net/imap.rb, line 1772
          def media_subtype
            $stderr.printf("warning: media_subtype is obsolete.\n")
            $stderr.printf("         use subtype instead.\n")
            return subtype
          end

multipart?()

[Source]

    # File net/imap.rb, line 1765
          def multipart?
            return false
          end

[Validate]